Name: hierotex
Version: 2.7.1
Release: 1
Source0: CTAN:/fonts/hieroglyphs/egyptouser-2.7.1.tar.gz
Source1: CTAN:/fonts/hieroglyphs/egyptomf-2.1.1.tar.gz
Copyright: GNU
Group: Applications/Publishing/TeX
Summary: Set of utilities for hieroglyphic typesetting in LaTeX
Requires: tetex

%description
If you use LaTeX, and want to typeset hieroglyphic texts, this package is for
you. It provides an extensive font with hieroglyphs, as well as styles to deal
with the vastly different-from-western typesetting of hieroglyphs.
The package furthermore includes a hierglyph compiler, sesh.

%prep
%setup -n HieroTeX
%setup -n HieroTeX -T -D -b 1
cd Seshnesu
patch -p1 Makefile <<EOF
37c37
< 	-/bin/rm *~ "#*#"
---
> 	rm -f *~ "#*#"
40c40
< 	-/bin/rm *.o
---
> 	rm -f *.o
46,50c46
< 	-/bin/rm sesh
< 	-/bin/rm seshl.c
< 	-/bin/rm sesh.c
< 	-/bin/rm sesh.h
< 	-/bin/rm seshSource.h
---
> 	rm -f sesh seshl.c sesh.c sesh.h seshSource.h
58,66c54,56
< fonctions.o: hache.h quadra.h general.h /usr/include/stdio.h
< fonctions.o: /usr/include/varargs.h /usr/include/malloc.h seshSource.h
< fonctions.o: quadra.h general.h
< quadra.o: /usr/include/malloc.h quadra.h mynew.h
< sesh.o: /usr/include/malloc.h quadra.h fonctions.h general.h
< sesh.o: /usr/include/stdio.h
< seshl.o: quadra.h sesh.h hache.h fonctions.h general.h /usr/include/string.h
< seshl.o: /usr/include/sys/stdtypes.h /usr/include/strings.h
< seshl.o: /usr/include/stdio.h
---
> fonctions.o: hache.h quadra.h general.h seshSource.h quadra.h general.h
> quadra.o: quadra.h mynew.h
> sesh.o: quadra.h fonctions.h general.h quadra.h sesh.h hache.h fonctions.h general.h 
EOF



%build
# TeX builds demand-driven; can't beat such fancyness - although it means the
# first displaying action will take more than a few seconds ;-)
cd Seshnesu
make

%install
install -m755 Seshnesu/sesh /usr/bin/sesh
mkdir -p /usr/lib/texmf/texmf/fonts/source/public/diacr/
mkdir -p /usr/lib/texmf/texmf/tex/latex/diacr
cp Fonts/mf/* /usr/lib/texmf/texmf/fonts/source/public/diacr/
cp Fonts/auxmf/* /usr/lib/texmf/texmf/fonts/source/public/diacr/
cp TEX/*.fd /usr/lib/texmf/texmf/tex/latex/diacr
cp TEX/*.sty /usr/lib/texmf/texmf/tex/latex/diacr
tee >README <<EOF
This is the hieroglyph-documentation for LaTeX.
Please note that none of the fonts have been built when installing hierotex.
Therefore, your first access to these files may take a few breaths...

Better rerun LaTeX on EGypto.tex; this failed on me! (Ses.tex goes fine.)
The .dvi files are spectacular, when the fonts are eventually built.

The author is intrigued to hear from people installing his package:
Serge Rosmorduc, rosmord@lifac1.ens-cachan.fr

	Rick van Rein (RPM packager)
	vanrein@cyberdude.com
EOF

%post
texhash

%postun
texhash

%files
%doc TEX/Sesh.tex
%doc TEX/Sesh.dvi
%doc TEX/EGypto.tex
%doc TEX/EGypto.dvi
%doc README
/usr/bin/sesh
/usr/lib/texmf/texmf/fonts/source/public/diacr
/usr/lib/texmf/texmf/tex/latex/diacr
